diff --git a/source/braille.py b/source/braille.py
index e19521c..8a301c6 100644
--- a/source/braille.py
+++ b/source/braille.py
@@ -1330,7 +1330,7 @@ class BrailleHandler(baseObject.AutoPropertyObject):
 		If a key is pressed the message will be dismissed by the next text being written to the display
 		@postcondition: The message is displayed.
 		"""
-		if not self.enabled:
+		if not self.enabled or config.conf["braille"]["messageTimeout"] == 0:
 			return
 		if self.buffer is self.messageBuffer:
 			self.buffer.clear()
diff --git a/source/gui/settingsDialogs.py b/source/gui/settingsDialogs.py
index 1380f0a..a177d58 100644
--- a/source/gui/settingsDialogs.py
+++ b/source/gui/settingsDialogs.py
@@ -1338,7 +1338,7 @@ class BrailleSettingsDialog(SettingsDialog):
 			val = int(self.messageTimeoutEdit.GetValue())
 		except (ValueError, TypeError):
 			val = None
-		if 1 <= val <= 20:
+		if 0 <= val <= 20:
 			config.conf["braille"]["messageTimeout"] = val
 		braille.handler.tether = self.tetherValues[self.tetherList.GetSelection()][0]
 		config.conf["braille"]["readByParagraph"] = self.readByParagraphCheckBox.Value
